import 'package:vnote_device_plugin/devices/ic_reader.dart';
import 'package:vitalapp/pages/medical/controllers/base.dart';

///读卡
class IcReaderDeviceController
    extends BaseDeviceController<ICReaderDeviceWorker> {
  IcReaderDeviceController(super.model, super.mac);

  @override
  ICReaderDeviceWorker createWorker() {
    return ICReaderDeviceWorker(model: model, mac: mac);
  }

  @override
  void loadListeners() {
    super.loadListeners();
  }
}
